Subject: Re: embedding dtb file into kernel

From: christophe leroy <[email-masked]>
Date: Sat, 14 Feb 2015 11:29:50 +0100

Le 13/02/2015 18:41, K Richard Pixley a écrit :
> I'm having trouble figuring out how to embed a dtb file into my 
> kernel.  I'm thinking that there should be a standard, architecture 
> independent facility for this akin to initramfs, yes?
>
> Could someone please either point me to the standard facility, 
> relevant doc, a currently building board that uses the standard 
> facility, or outline what needs to be done to do this with a new board?
>
> If it matters, (I can't think why it would), I'm working with powerpc 
> on a 3.10 kernel.  But if there are better facilities in other 
> versions I'd appreciate hearing about that too.
>
> Thank you in advance.
>

Hi,

The device tree (DTB file) is not supposed to be embedded into the 
kernel but loaded independently by the boot loader (for instance Uboot).
Then a pointer to the device tree is handed over by Uboot to the kernel 
when calling the _start function.

You also have in arch/powerpc/boot/ a facility called cuboot which 
allows to create a ppcboot image with kernel and device tree bound together.

Christophe

---
L'absence de virus dans ce courrier électronique a été vérifiée par le logiciel antivirus Avast.
http://www.avast.com